/*
 * @Author: gtz
 * @Date: 2022-07-25 14:18:00
 * @LastEditors: DY
 * @LastEditTime: 2022-09-16 14:13:07
 * @Description: file content
 * @FilePath: \hf-pda\src\main.js
 */
// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import fastClick from 'fastclick'
// import Vconsole from 'vconsole'
import './assets/js/rem'
import './assets/css/reset.css'
import './assets/css/all.scss'
import './assets/css/iconfont.css'
import './components/'
import store from '@/store'

import { Button, Field, Icon, Dialog, Grid, GridItem, NavBar, Popup, Row, Col, Stepper, Picker, DatetimePicker, PullRefresh, Cell, CellGroup, Tag, Checkbox, CheckboxGroup, Tab, Tabs, Sticky, Calendar, Uploader, SwipeCell, Radio, RadioGroup, Swipe, SwipeItem } from 'vant'

Vue.use(Button).use(Field).use(Icon).use(Dialog).use(Grid).use(GridItem).use(NavBar).use(Popup).use(Row).use(Col).use(Stepper).use(Picker).use(DatetimePicker).use(PullRefresh).use(Cell).use(CellGroup).use(Tag).use(Checkbox).use(CheckboxGroup).use(Tab).use(Tabs).use(Sticky).use(Calendar).use(Uploader).use(SwipeCell).use(Radio).use(RadioGroup).use(Swipe).use(SwipeItem)

// const vConsole = new Vconsole()

Vue.config.productionTip = false
fastClick.attach(document.body)

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
