/*
 * @Author: gtz
 * @Date: 2022-08-02 08:42:08
 * @LastEditors: gtz
 * @LastEditTime: 2022-08-02 14:54:43
 * @Description: file content
 * @FilePath: \hf-pda\src\api\file.js
 */
import request from '@/util/request'

// 文件上传
export const uploadFile = data => {
  return request({
    url: '/api/common/attachment/uploadFileFormData',
    method: 'POST',
    file: true,
    data
  })
}

// 文件下载
export const downloadFile = params => {
  return request({
    url: '/api/common/attachment/downloadFile',
    method: 'GET',
    formState: true,
    params,
    responseType: 'blob'
  })
}
