/*
 * @Author: gtz
 * @Date: 2022-07-25 14:18:00
 * @LastEditors: gtz
 * @LastEditTime: 2022-08-03 13:48:48
 * @Description: file content
 * @FilePath: \hf-pda\src\router\index.js
 */
import Vue from 'vue'
import Router from 'vue-router'
import index from '@/pages/index/index'
import quality from '@/pages/quality/quality'
import homePage from '@/pages/threeDimensional/threeDimensional'
import overview from '@/pages/overview/overview'

Vue.use(Router)

const router = new Router({
  routes: [
    {
      path: '/',
      name: 'index',
      redirect: '/home',
      component: index,
      children: [
        {
          path: 'quality',
          name: 'quality',
          component: quality
        },
        {
          path: 'home',
          name: 'home',
          component: homePage
        },
        {
          path: 'overview',
          name: 'overview',
          component: overview
        }
      ]
    }
  ]
})

Router.prototype.goBack = function () {
  this.isBack = true
  window.history.go(-1)
}

// const valid = () => {
//   return sessionStorage.getItem('userInfo')
// }

// router.beforeResolve((to, from, next) => {
//   if (to.matched.some(record => record.meta.requireAuth)) {
//     // this route requires auth, check if logged in
//     // if not, redirect to login page.
//     if (valid()) {
//       next()
//     } else {
//       next({
//         path: '/'
//       })
//     }
//   } else {
//     next() // 确保一定要调用 next()
//   }
// })

export default router
